import request from '@/utils/request'

//机具类型管理列表信息
export function getListByPartType(query) {
  return request({
    url: '/material/ma_part_type/getListByPartType',
    method: 'get',
    params: query,
  })
}

//机具类型管理列表信息
export function getListTree(query) {
  return request({
    url: '/material/ma_part_type/getPartTree',
    method: 'get',
    params: query,
  })
}

//查看机具类型管理列表详细信息
export function getAccessoryDetail(id) {
  return request({
    url: '/material/ma_part_type/' + id,
    method: 'get',
  })
}



// 仓库管理--删除
export function delAccessory(id) {
  return request({
    url: '/material/ma_part_type/' + id,
    method: 'delete',
  })
}

// 仓库管理--修改
export function editAccessory(data) {
  return request({
    url: '/material/ma_part_type',
    method: 'put',
    data: data,
  })
}

// 仓库管理--新增
export function addAccessory(data) {
  return request({
    url: '/material/ma_part_type',
    method: 'post',
    data: data,
  })
}

// 配件类型管理--新增
export function addMaType(data) {
  return request({
    url: '/material/ma_part_type',
    method: 'post',
    data: data,
  })
}

// 配件类型管理--修改
export function updateMaType(data) {
  return request({
    url: '/material/ma_part_type',
    method: 'put',
    data: data,
  })
}

// 配件类型管理--删除
export function delMaType(id) {
  return request({
    url: '/material/ma_part_type/' + id,
    method: 'delete',
  })
}

// 配件-绑定
export function addBindingApi(data) {
  return request({
    url: '/material/part_lease/add',
    method: 'post',
    data,
  })
}

// 配件-解绑
export function unBindApi(data) {
  return request({
    url: '/material/part_lease/unBind',
    method: 'post',
    data,
  })
}
